onEvent('recipes', (event) => {

    const id_prefix = 'botania:kubejs/pure_daisy';

    const recipes = [
        {
            input: 'astralsorcery:infused_wood_infused',
            output: 'botania:livingwood',
            id: 'livingwood'
        },
        {
            input: 'engineersdecor:rebar_concrete',
            output: 'botania:livingrock',
            id: 'livingrock'
        },
        {
            input: 'atum:ceramic_black',
            output: 'kubejs:living_ceramic_black',
            id: 'living_ceramic_black'
        },
        {
            input: 'twilightforest:root',
            output: 'twilightforest:liveroot_block',
            id: 'liveroot'
        }
    ];

    recipes.forEach((recipe) => {
        let ingredient =
            recipe.input.charAt(0) == '#'
                ? { type: 'tag', tag: recipe.input.slice(1) }
                : { type: 'block', block: recipe.input };

        const re = event.custom({
            type: 'botania:pure_daisy',
            input: ingredient,
            output: { name: recipe.output }
        }).id(`${id_prefix}/${recipe.id}`);
    });
});